%define	name	id-utils
%define	version	4.2
%define	release	%mkrel 2

Summary:	Language-independent identifier database tool 
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2
Group:		Development/C
BuildRequires:	emacs
Source:		ftp://ftp.enst.fr/pub/gnu/gnits/%{name}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-buildroot

%description
mkid is a simple, fast, high-capacity, language-independent
identifier database tool.  Actually, the term `identifier' is too
limiting -- mkid stores tokens, be the program identifiers of any
form, literal numbers, or words of human-readable text.  Database
queries can be issued from the command-line, or from within emacs,
serving as an augmented tags facility.     

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%_install_info %name

%preun
%_remove_install_info %name


%files -f %name.lang
%defattr (-,root,root)
%doc README INSTALL COPYING AUTHORS ABOUT-NLS NEWS THANKS TODO 
%{_bindir}/*
%{_infodir}/*
%{_datadir}/emacs/site-lisp/*
%{_datadir}/id-lang.map
/usr/share/locale/de/LC_MESSAGES/idutils.mo
/usr/share/locale/fr/LC_MESSAGES/idutils.mo
/usr/share/locale/nl/LC_MESSAGES/idutils.mo
/usr/share/locale/pl/LC_MESSAGES/idutils.mo



%changelog
* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 4.2-2mdv2011.0
+ Revision: 611173
- rebuild

* Mon Mar 08 2010 Sandro Cazzaniga <kharec@mandriva.org> 4.2-1mdv2010.1
+ Revision: 515890
- update to 4.2

* Mon Feb 22 2010 Sandro Cazzaniga <kharec@mandriva.org> 3.2d-10mdv2010.1
+ Revision: 509691
- Fix Licence
- Fix mixed of space and tabs
- Use %%configure2_5x

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 3.2d-9mdv2010.0
+ Revision: 429498
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 3.2d-8mdv2009.0
+ Revision: 247205
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Dec 18 2007 Thierry Vignaud <tv@mandriva.org> 3.2d-6mdv2008.1
+ Revision: 132241
- BR emacs
- move cleaning where it belongs
- remove extra spacing
- use regular info-install macros
- do not hardcode info doc extension
- kill re-definition of %%buildroot on Pixel's request
- use %%mkrel
- import id-utils


* Wed Apr 20 2005 Lenny Cartier <lenny@mandriva.com> 3.2d-6mdk
- rebuild

* Thu Feb 19 2004 Lenny Cartier <lenny@mandrakesoft.com> 3.2d-5mdk
- rebuild

* Fri Jan 17 2003 Lenny Cartier <lenny@mandrakesoft.com> 3.2d-4mdk
- rebuild

* Wed Aug 28 2002 Lenny Cartier <lenny@mandrakesoft.com> 3.2d-3mdk
- rebuild

* Wed Aug 01 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.2d-2mdk
- rebuild

* Fri Jan 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 3.2d-1mdk
- updated to 3.2d

* Wed Sep 06 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.2-3mdk
- BM
- macros

* Fri Apr 28 2000 Lenny Cartier <lenny@mandrakesoft.com> 3.2-2mdk
- fix files section
- fix group

* Thu Feb 24 2000 Lenny Cartier <lenny@mandrakesoft.com>
- mandrake build 
